summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-firmware')
-rw-r--r--sys-firmware/alsa-firmware/Manifest2
-rw-r--r--sys-firmware/alsa-firmware/alsa-firmware-1.2.4.ebuild (renamed from sys-firmware/alsa-firmware/alsa-firmware-1.0.29.ebuild)6
-rw-r--r--sys-firmware/edk2-ovmf/Manifest5
-rw-r--r--sys-firmware/edk2-ovmf/edk2-ovmf-201905.ebuild5
-rw-r--r--sys-firmware/edk2-ovmf/edk2-ovmf-202008.ebuild186
-rw-r--r--sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild2
-rw-r--r--sys-firmware/vgabios/vgabios-0.7a-r1.ebuild18
-rw-r--r--sys-firmware/vgabios/vgabios-0.7a.ebuild17
8 files changed, 215 insertions, 26 deletions
diff --git a/sys-firmware/alsa-firmware/Manifest b/sys-firmware/alsa-firmware/Manifest
index 02258d24f123..f30c410c5006 100644
--- a/sys-firmware/alsa-firmware/Manifest
+++ b/sys-firmware/alsa-firmware/Manifest
@@ -1,2 +1,2 @@
-DIST alsa-firmware-1.0.29.tar.bz2 4996942 BLAKE2B cee20bda58653548c8f88ec83657d30a19cad93df25db2f5f982b673d02da28dd9f623d6981b70da97e8f882fdd20b37f2d4c401c36ad977a67503f548e36186 SHA512 f4307c33fb6f401c86e88b82878b8300447ac97bbbe06e83bd69a38cbdd7b4a0ba6faa4f20081f11167805de65c66b7db643483f8669eae3284bc1c4da8d44a4
DIST alsa-firmware-1.2.1.tar.bz2 5146513 BLAKE2B c3d6047f484e78b3ddcfb23c30aaeb583088e025e4fae47e1a94cf987414524c1324b327f6679a0a8abc24e5c90b0c9454520714045bdaef11c5a01522803c81 SHA512 573bb13d47309253afa7d4d04ef13a7a5e4d18d8f89b1339630266f0ef6638cbb9381b3efce2604ea63fc9cf90a55ecaecf8eb2cccd58da04d0d283a245618b1
+DIST alsa-firmware-1.2.4.tar.bz2 5154366 BLAKE2B 0f844f6cc4859b72635f24d347b4c790469aee39aa60d9addb2c168dcf06b48e7e3cbba26ff21c7e1f5aa355641eec7ab934cb09bfac8ca116a6ac6a7db9d548 SHA512 041f54744fe30fa94781968c89c77ab9073fc9a828014d07a0f7e0f11c4185ace6846d5d2a313fcca6e9cda6e4837fd6f62e883b0fdb0a4e30a8c18ba7b2e05d
diff --git a/sys-firmware/alsa-firmware/alsa-firmware-1.0.29.ebuild b/sys-firmware/alsa-firmware/alsa-firmware-1.2.4.ebuild
index 9e10ef96150b..3a01f161cdb6 100644
--- a/sys-firmware/alsa-firmware/alsa-firmware-1.0.29.ebuild
+++ b/sys-firmware/alsa-firmware/alsa-firmware-1.2.4.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
inherit udev
DESCRIPTION="Advanced Linux Sound Architecture firmware"
@@ -10,7 +10,7 @@ SRC_URI="https://www.alsa-project.org/files/pub/firmware/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ppc ppc64 x86"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
ECHOAUDIO_CARDS="alsa_cards_darla20 alsa_cards_gina20 alsa_cards_layla20
alsa_cards_darla24 alsa_cards_gina24 alsa_cards_layla24 alsa_cards_mona
diff --git a/sys-firmware/edk2-ovmf/Manifest b/sys-firmware/edk2-ovmf/Manifest
index fa1a6639d99f..bec7f6b201fe 100644
--- a/sys-firmware/edk2-ovmf/Manifest
+++ b/sys-firmware/edk2-ovmf/Manifest
@@ -1,3 +1,8 @@
+DIST brotli-666c3280cc11dc433c303d79a83d4ffbdd12cc8d.tar.gz 23855739 BLAKE2B 7406ec5b29ac66afbcd7c1376bb3208f298d19b6592b2869c52173aa64947d58bd443f9a61c67deaf046be910a0e31c0b843e5508e97e0e1f5e7bce100d86904 SHA512 df8e90562c4fd7f0e787949df6bc4f5a165b39bd333f442d27874fe65640fbba268f9350d7113e6761a5acceb66d78e75f1a296e5a89b94574edf28109cdc812
DIST edk2-ovmf-201905-bin.tar.xz 3017256 BLAKE2B 6a106f111a363f1c2de33c4e7eba48183da6047654512939c286c6d0369e3b4c7705c271e61fa95299ba2b629022be7b5ef665ff096d41373583f5409b5c32fb SHA512 4a174dc1d64769a93de3bf5f9d787e278bfab57e2317699d722aa772e64e8867b3998b7feee58d5e4c66adc79ba9c5023dae2ce786159db7a740b86cf35d923d
DIST edk2-ovmf-201905-bundled.tar.xz 3538508 BLAKE2B a1766180c84ee83987f50fdb6a6c9891dfb983ff78c98f7bc38635ffe484ebf29d4286ff97d7747080e28a655ff14b5939d4505d75ebe6655ecacc7f9d405469 SHA512 be3d8ef1ffb1ddce64883d9ef8dc598c7026d23d2e33c33949d28de81513b6a7f04f840ccb3d42664e918c6603487fbe594261c327921f3250c3998218572774
DIST edk2-ovmf-201905.tar.gz 14551747 BLAKE2B 6fb3385445fd01c0dea26295a68de2691524e55c96d8a0e85aab1385a9abddc47c13ce3236b952c1299514e542ad0fa4bc9550cc4527945c05109d227a698293 SHA512 91188923f7d1ab83c0d6abf7ec6d59f357d0341a617ad6a3ae05f3d0e041dff43f62b014b0c5fc5d15e16d8f1c279c581a5cd64b31e3d52b340d7ef90adb50f1
+DIST edk2-ovmf-202008-bin.tar.xz 3486024 BLAKE2B 8283db554ad7024e3a55b62ed0a560ed9f729d728f1dee3806814b1eb8d89dabc4fd70433f7f77656b65d9af7919d036074a53a95190a1aa8b65ab7d73495ffc SHA512 d0c8b249a7a2124e8bb63a4358466e86a3a837e76586565dd4762351998d8561374eabb8a1303dbf71ac269c15552d9e8cff71d65bc6fe8a3a81fb4fb032e0d8
+DIST edk2-ovmf-202008-qemu-firmware.tar.xz 680 BLAKE2B 176f8e94a3f605acc72850634cbf155619490f5998125521a392a8e9c7d2b78841b841f0cb5ea860f14645b124cf1921256bbe46960efbe3401805d89bbfbed6 SHA512 b72f248ab4d49503c3e8e686e22beb77f0e48d2c6c9523f389f20504e0c30fa11fa0fcb5607d7d5bb1ba2433894fa458864c5761335e39de4b2a40b01203f043
+DIST edk2-ovmf-202008.tar.gz 13172590 BLAKE2B 10acf77d0e70e21ca425ea41c0062f8cebe2cc607b93a2a253bcd87cea1546e791776a34d43fbf4f1040f4fc32e3ee413d44873d0f00b9e523816519cfed634e SHA512 c32340104f27b9b85f79e934cc9eeb739d47b01e13975c88f39b053e9bc5a1ecfe579ab3b63fc7747cc328e104b337b53d41deb4470c3f20dbbd5552173a4666
+DIST openssl-e2e09d9fba1187f8d6aafaa34d4172f56f1ffb72.tar.gz 9981169 BLAKE2B 33aac7364cdd45fec5654ab6caef84e1a829464380419c8a6bb311055c5a01c0aaff6e046a7c541a87e908fa9d26bae652f5be901461d03df36f2522f9c34b0c SHA512 db2087c04f0b428b3f4e1c8b3ac53cce69e0fd331ed2b86ba00facafd1685864d73f71c13eee48f4fe0af2bddad848f84a2b8ed2a17fabdf7fa2ed7d9eb39371
diff --git a/sys-firmware/edk2-ovmf/edk2-ovmf-201905.ebuild b/sys-firmware/edk2-ovmf/edk2-ovmf-201905.ebuild
index 4a71ef4068c3..0ce07a1b4456 100644
--- a/sys-firmware/edk2-ovmf/edk2-ovmf-201905.ebuild
+++ b/sys-firmware/edk2-ovmf/edk2-ovmf-201905.ebuild
@@ -96,6 +96,11 @@ pkg_setup() {
}
src_prepare() {
+ if ! use binary; then
+ sed -i -r \
+ -e "/function SetupPython3/,/\}/{s,\\\$\(whereis python3\),${EPYTHON},g}" \
+ "${S}"/edksetup.sh || die "Fixing for correct Python3 support failed"
+ fi
if [[ ${PV} != "999999" ]] && use binary; then
eapply_user
return
diff --git a/sys-firmware/edk2-ovmf/edk2-ovmf-202008.ebuild b/sys-firmware/edk2-ovmf/edk2-ovmf-202008.ebuild
new file mode 100644
index 000000000000..6b7b4fcd3a35
--- /dev/null
+++ b/sys-firmware/edk2-ovmf/edk2-ovmf-202008.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit eutils python-any-r1 readme.gentoo-r1
+
+DESCRIPTION="UEFI firmware for 64-bit x86 virtual machines"
+HOMEPAGE="https://github.com/tianocore/edk2"
+
+NON_BINARY_DEPEND="
+ app-emulation/qemu
+ >=dev-lang/nasm-2.0.7
+ >=sys-power/iasl-20160729
+ ${PYTHON_DEPS}
+"
+DEPEND=""
+RDEPEND=""
+if [[ ${PV} == "999999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tianocore/edk2"
+ DEPEND+="
+ ${NON_BINARY_DEPEND}
+ "
+else
+ BUNDLED_OPENSSL_SUBMODULE_SHA="e2e09d9fba1187f8d6aafaa34d4172f56f1ffb72"
+ BUNDLED_BROTLI_SUBMODULE_SHA="666c3280cc11dc433c303d79a83d4ffbdd12cc8d"
+ # Binary versions taken from fedora:
+ # http://download.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/e/
+ # edk2-ovmf-20200801stable-1.fc34.noarch.rpm
+
+ # TODO: talk with tamiko about unbundling
+ SRC_URI="
+ !binary? (
+ https://github.com/tianocore/edk2/archive/edk2-stable${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/openssl/openssl/archive/${BUNDLED_OPENSSL_SUBMODULE_SHA}.tar.gz -> openssl-${BUNDLED_OPENSSL_SUBMODULE_SHA}.tar.gz
+ https://github.com/google/brotli/archive/${BUNDLED_BROTLI_SUBMODULE_SHA}.tar.gz -> brotli-${BUNDLED_BROTLI_SUBMODULE_SHA}.tar.gz
+ )
+ binary? ( https://dev.gentoo.org/~mva/distfiles/${P}-bin.tar.xz )
+ https://dev.gentoo.org/~mva/distfiles/${P}-qemu-firmware.tar.xz
+ "
+ KEYWORDS="amd64 arm64 ~ppc ~ppc64 x86"
+ IUSE="+binary"
+ REQUIRED_USE+="
+ !amd64? ( binary )
+ "
+ DEPEND+="
+ !binary? (
+ amd64? (
+ ${NON_BINARY_DEPEND}
+ )
+ )"
+ PATCHES=(
+ )
+fi
+
+LICENSE="BSD-2 MIT"
+SLOT="0"
+
+S="${WORKDIR}/edk2-edk2-stable${PV}"
+
+DISABLE_AUTOFORMATTING=true
+DOC_CONTENTS="This package contains the tianocore edk2 UEFI firmware for 64-bit x86
+virtual machines. The firmware is located under
+ /usr/share/edk2-ovmf/OVMF_CODE.fd
+ /usr/share/edk2-ovmf/OVMF_VARS.fd
+ /usr/share/edk2-ovmf/OVMF_CODE.secboot.fd
+
+If USE=binary is enabled, we also install an OVMF variables file (coming from
+fedora) that contains secureboot default keys
+
+ /usr/share/edk2-ovmf/OVMF_VARS.secboot.fd
+
+If you have compiled this package by hand, you need to either populate all
+necessary EFI variables by hand by booting
+ /usr/share/edk2-ovmf/UefiShell.(iso|img)
+or creating OVMF_VARS.secboot.fd by hand:
+ https://github.com/puiterwijk/qemu-ovmf-secureboot
+
+The firmware does not support csm (due to no free csm implementation
+available). If you need a firmware with csm support you have to download
+one for yourself. Firmware blobs are commonly labeled
+ OVMF{,_CODE,_VARS}-with-csm.fd
+
+In order to use the firmware you can run qemu the following way
+
+ $ qemu-system-x86_64 \
+ -drive file=/usr/share/edk2-ovmf/OVMF.fd,if=pflash,format=raw,unit=0,readonly=on \
+ ...
+
+You can register the firmware for use in libvirt by adding to /etc/libvirt/qemu.conf:
+ nvram = [
+ \"/usr/share/edk2-ovmf/OVMF_CODE.fd:/usr/share/edk2-ovmf/OVMF_VARS.fd\"
+ \"/usr/share/edk2-ovmf/OVMF_CODE.secboot.fd:/usr/share/edk2-ovmf/OVMF_VARS.fd\"
+ ]"
+
+pkg_setup() {
+ [[ ${PV} != "999999" ]] && use binary || python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ if ! use binary; then
+ sed -i -r \
+ -e "/function SetupPython3/,/\}/{s,\\\$\(whereis python3\),${EPYTHON},g}" \
+ "${S}"/edksetup.sh || die "Fixing for correct Python3 support failed"
+ fi
+ if [[ ${PV} != "999999" ]]; then
+ if use binary; then
+ eapply_user
+ return
+ else
+ # Bundled submodules
+ cp -rl "${WORKDIR}/openssl-${BUNDLED_OPENSSL_SUBMODULE_SHA}"/* "CryptoPkg/Library/OpensslLib/openssl/"
+ cp -rl "${WORKDIR}/brotli-${BUNDLED_BROTLI_SUBMODULE_SHA}"/* "BaseTools/Source/C/BrotliCompress/brotli/"
+ cp -rl "${WORKDIR}/brotli-${BUNDLED_BROTLI_SUBMODULE_SHA}"/* "MdeModulePkg/Library/BrotliCustomDecompressLib/brotli/"
+ fi
+ fi
+ default
+}
+
+src_compile() {
+ TARGET_ARCH=X64
+ TARGET_NAME=RELEASE
+ TARGET_TOOLS=GCC49
+
+ BUILD_FLAGS="-D TLS_ENABLE \
+ -D HTTP_BOOT_ENABLE \
+ -D NETWORK_IP6_ENABLE \
+ -D FD_SIZE_2MB"
+
+ SECUREBOOT_BUILD_FLAGS="${BUILD_FLAGS} \
+ -D SECURE_BOOT_ENABLE \
+ -D SMM_REQUIRE \
+ -D EXCLUDE_SHELL_FROM_FD"
+
+ [[ ${PV} != "999999" ]] && use binary && return
+
+ emake ARCH=${TARGET_ARCH} -C BaseTools
+
+ . ./edksetup.sh
+
+ # Build all EFI firmware blobs:
+
+ mkdir -p ovmf
+
+ ./OvmfPkg/build.sh \
+ -a "${TARGET_ARCH}" -b "${TARGET_NAME}" -t "${TARGET_TOOLS}" \
+ ${BUILD_FLAGS} || die "OvmfPkg/build.sh failed"
+
+ cp Build/OvmfX64/*/FV/OVMF_*.fd ovmf/
+ rm -rf Build/OvmfX64
+
+ ./OvmfPkg/build.sh \
+ -a "${TARGET_ARCH}" -b "${TARGET_NAME}" -t "${TARGET_TOOLS}" \
+ ${SECUREBOOT_BUILD_FLAGS} || die "OvmfPkg/build.sh failed"
+
+ cp Build/OvmfX64/*/FV/OVMF_CODE.fd ovmf/OVMF_CODE.secboot.fd || die "cp failed"
+ cp Build/OvmfX64/*/X64/Shell.efi ovmf/ || die "cp failed"
+ cp Build/OvmfX64/*/X64/EnrollDefaultKeys.efi ovmf || die "cp failed"
+
+ # Build a convenience UefiShell.img:
+
+ mkdir -p iso_image/efi/boot || die "mkdir failed"
+ cp ovmf/Shell.efi iso_image/efi/boot/bootx64.efi || die "cp failed"
+ cp ovmf/EnrollDefaultKeys.efi iso_image || die "cp failed"
+ qemu-img convert --image-opts \
+ driver=vvfat,floppy=on,fat-type=12,label=UEFI_SHELL,dir=iso_image \
+ ovmf/UefiShell.img || die "qemu-img failed"
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins ovmf/*
+
+ insinto /usr/share/qemu/firmware
+ doins qemu/*
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
diff --git a/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild b/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild
index cfd84283ad7a..b3ae03432846 100644
--- a/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild
+++ b/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/thesofproject/sof-bin/archive/stable-v${PV}.tar.gz -
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
IUSE=""
S=${WORKDIR}/sof-bin-stable-v${PV}
diff --git a/sys-firmware/vgabios/vgabios-0.7a-r1.ebuild b/sys-firmware/vgabios/vgabios-0.7a-r1.ebuild
index 081c30ad69c8..aa925da50189 100644
--- a/sys-firmware/vgabios/vgabios-0.7a-r1.ebuild
+++ b/sys-firmware/vgabios/vgabios-0.7a-r1.ebuild
@@ -1,14 +1,12 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
+EAPI=7
# Can't really call them backports when they're fixes that upstream
# won't carry
FIXES=1
-inherit eutils
-
DESCRIPTION="VGA BIOS implementation"
HOMEPAGE="http://www.nongnu.org/vgabios/"
SRC_URI="https://savannah.gnu.org/download/${PN}/${P}.tgz
@@ -18,16 +16,14 @@ LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
IUSE="binary debug"
-
-DEPEND="!binary? ( sys-devel/dev86 )"
-RDEPEND=""
+BDEPEND="!binary? ( sys-devel/dev86 )"
src_prepare() {
- [[ -n ${FIXES} ]] && \
- EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
- epatch
+ if [[ -n ${FIXES} ]] ; then
+ eapply patches/*.patch
+ fi
- epatch_user
+ default
}
src_compile() {
diff --git a/sys-firmware/vgabios/vgabios-0.7a.ebuild b/sys-firmware/vgabios/vgabios-0.7a.ebuild
index 0e794a42af95..85d6d4c72bce 100644
--- a/sys-firmware/vgabios/vgabios-0.7a.ebuild
+++ b/sys-firmware/vgabios/vgabios-0.7a.ebuild
@@ -1,14 +1,12 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
+EAPI=7
# Can't really call them backports when they're fixes that upstream
# won't carry
FIXES=1
-inherit eutils
-
DESCRIPTION="VGA BIOS implementation"
HOMEPAGE="http://www.nongnu.org/vgabios/"
SRC_URI="https://savannah.gnu.org/download/${PN}/${P}.tgz
@@ -19,16 +17,15 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE="debug"
-DEPEND="amd64? ( sys-devel/dev86 )
+BDEPEND="amd64? ( sys-devel/dev86 )
x86? ( sys-devel/dev86 )"
-RDEPEND=""
src_prepare() {
- [[ -n ${FIXES} ]] && \
- EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
- epatch
+ if [[ -n ${FIXES} ]] ; then
+ eapply patches/*.patch
+ fi
- epatch_user
+ default
}
src_compile() {